
Ryzom - Bug # 788

Status: Closed Priority: Normal
Author: kaetemi Category: NeL: General
Created: 01/29/2010 Assignee: kervala
Updated: 10/02/2010 Due date:
Subject: OpenGL driver does not call ExitFunc on WM_CLOSE
Description

Different behaviour under OpenGL and Direct3D driver for WM_CLOSE.

For the OpenGL implementation it's currently as follows:

    if(message == WM_CLOSE)
        return 0;

The Direct3D implementation has it like this:

    if(message == WM_CLOSE)
    {
        if(pDriver && pDriver->ExitFunc)
        {
            pDriver->ExitFunc();
        }
        else
        {
#ifndef NL_DISABLE_MENU
            // if we don't disable menu, alt F4 make a direct exit else we discard the message
            exit(0);
#endif // NL_DISABLE_MENU
        }
        return 0;
    }

History
#1 - 03/05/2010 03:03 pm - kervala
- Status changed from New to Validated
- Estimated time set to 1.00

#2 - 03/05/2010 03:15 pm - kervala
- Status changed from Validated to Assigned
- Assignee set to kervala

#3 - 03/05/2010 03:18 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100
Applied in changeset r2310.

#4 - 03/05/2010 03:18 pm - kervala
- Target version set to 0.8.0

#5 - 03/05/2010 05:27 pm - sfb
- Status changed from Resolved to Closed

#6 - 09/29/2010 09:47 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (3d - OpenGL)
- Target version deleted (0.8.0)

#7 - 10/02/2010 11:49 am - kervala
- Category set to NeL: General
- Target version set to Version 0.8.0
